import Snackbar from '@/components/Common/snackbar'
import Vue from 'vue'
import Vuetify from 'vuetify/lib'

const SnackbarConstructor = Vue.extend(Snackbar)

const instance = new SnackbarConstructor()

// 这个得有，不然主题会出问题
instance.$vuetify = new Vuetify().framework
instance.$mount()
document.body.appendChild(instance.$el)
// const snackbarDom = instance.$children[0]

function error (msg) {
  instance.error(msg)
}
function warning (msg) {
  instance.warning(msg)
}
function success (msg) {
  instance.success(msg)
}
function info (msg) {
  instance.info(msg)
}

Vue.prototype.$snackbar = {
  info,
  success,
  warning,
  error
}
